const path = require('path')
const MiniCssExtractPlugin = require('mini-css-extract-plugin');

const clientFiles = [
  'common-client-plugin.js'
]

const config = clientFiles.map(f => ({
  entry: './client/' + f,
  experiments: {
    asset: true,
  },
  output: {
    assetModuleFilename: 'assets/[name].[hash][ext]',
    path: path.resolve(__dirname, './dist'),
    filename: './' + f,
    library: {
      name: 'script',
      type: 'commonjs2',
    },
  },
  plugins: [new MiniCssExtractPlugin()],
  module: {
    rules: [
      {
        test: /\.png$/i,
        type: 'asset/resource',
      },
      {
        test: /\.scss$/i,
        type: 'asset/resource',
        use: [MiniCssExtractPlugin.loader, 'css-loader', 'sass-loader'],
      },
    ],
  },
}))

module.exports = config
